Name:           be
Version:        1.1.1
Release:        3%{?dist}
Summary:        Bugs Everywhere, a distributed bug tracker
License:        GPLv2+
URL:            http://bugseverywhere.org/
Source0:        http://download.bugseverywhere.org/releases/be-%{version}.tar.gz
# arch (tla) is orphaned in Fedora
# hg module does not support the version in Fedora, and
# monotone support is broken
Patch0:         be-1.0.1-remove_broken_vcs.patch
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-docutils
# for testing
BuildRequires:  bzr
BuildRequires:  darcs
BuildRequires:  git
BuildRequires:  python-cherrypy
BuildRequires:  python-jinja2
BuildRequires:  PyYAML
Requires:       python-cherrypy
Requires:       python-jinja2
Requires:       PyYAML

%description
This is Bugs Everywhere (BE), a bug tracker built on distributed
version control. It works with Arch, Bazaar, Darcs, Git, Mercurial,
and Monotone at the moment, but is easily extensible. It can also
function with no VCS at all.

The idea is to package the bug information with the source code, so
that bugs can be marked "fixed" in the branches that fix them. So,
instead of numbers, bugs have globally unique ids.

%prep
%setup -q
%patch0 -p1 -b .remove_broken_vcs
rm -rf libbe/storage/vcs/{arch,hg,monotone}.*
sed -i '1d' libbe/version.py
sed -i '1d' misc/completion/be.bash
# remove compiled files
find . -name '*.py?' -exec rm '{}' \;

%build
%{__python2} setup.py build
# rst2man not in RHEL5's python-docutils
%if ! 0%{?el5}
make man
%endif

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
COMPDIR=%{buildroot}%{_sysconfdir}/bash_completion.d
mkdir -p $COMPDIR
cp -p misc/completion/be.bash $COMPDIR/


%check
export LANG=en_US.utf8
bzr whoami "Koji <koji@fedoraproject.org>"
git config --global user.email "koji@fedoraproject.org"
git config --global user.name  "Koji"
%{__python2} test.py %libbe.storage.{base,util.{config,mapfile,properties,settings_object,upgrade},vcs.{base,bzr,darcs,git}} || /bin/true

%files
%doc COPYING AUTHORS ChangeLog NEWS README
%{_bindir}/be
%{python2_sitelib}/*
%dir %{_sysconfdir}/bash_completion.d
%config(noreplace) %{_sysconfdir}/bash_completion.d/be.bash
%if ! 0%{?el5}
%{_mandir}/man1/be.1*
%endif

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 11 2014 Christopher Meng <rpm@cicku.me> - 1.1.1-2
- Fix dependency issue.

* Sat Aug 17 2013 Matěj Cepl <mcepl@redhat.com> - 1.1.1-1
- Update to the latest upstream release (also fixing #876140 and #992015)
- Add python-jinja2, python-cherrypy (fix #797409)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug  4 2011 Michel Salim <salimma@fedoraproject.org> - 1.0.1-2
- Remove currently broken support for arch, hg and monotone
- Improve bzr module's version comparison
- Fix version string
- Partially enable tests

* Wed Jul 13 2011 Michel Salim <salimma@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Thu Mar 24 2011 Michel Salim <salimma@fedoraproject.org> - 1.0.0-2
- add Group: field, for compliance with older rpmlint versions

* Wed Mar 23 2011 Michel Salim <salimma@fedoraproject.org> - 1.0.0-1
- Initial package

